<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet href="chrome://global/skin/" type="text/css"?>
<?xml-stylesheet href="chrome://bmp/skin/about.css" type="text/css"?>
<window class="dialog about-dialog"
	title="BMP-LastFM - About"
	orient="vertical"
	autostretch="always"
	onload="sizeToContent()"
	windowtype="BMP:About"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">

	<script><![CDATA[ 
		function gotoURL(url) {
			if (window.opener.getBrowser) {
				var newTab = window.opener.getBrowser().addTab(url);
		       	window.opener.getBrowser().selectedTab = newTab;
			} else {
	        		window.opener.open(url);
			}

			window.close();
		}
	 ]]></script>

<groupbox align="center" orient="horizontal" class="about-box">
<vbox>
  <text value="BMP-LastFM" class="about-product-name"/>
  <text value="version 0.2"/>

  <separator class="thin"/>
  <text value="Function:" class="about-sub-title"/>
  <text value="Registers the lastfm:// protocol to "/>
  <text value="Beep Media Player."/>

  <separator class="thin"/>
  <text value="Created By:" class="about-sub-title"/>
  <text value="Chris Dougherty" class="url"
        onclick="gotoURL('http://code.yerblog.com/lastfm/');"/>

  <separator class="thin"/>
  <text value="Home Page:" class="about-sub-title"/>
  <text value="http://bmpx.beep-media-player.org" class="url"
         onclick="gotoURL('http://bmpx.beep-media-player.org/');"/>
  <separator class="thin"/>
</vbox>
</groupbox>

  <hbox>
  <spacer flex="1"/>
   <button label="Close" oncommand="window.close();"/>
  </hbox>

</window>
